# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import json

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def update_package():
    result = False
    proxies = get_proxies()

    if not proxies:
        proxies = get_proxies_from_wapt_console()

    download_dict = {
        "windows-x64": "-win.zip",
        "windows-x86": "-ia32-win.zip",
    }

    git_repo = "notable/notable"
    url_api = "https://api.github.com/repos/%s/releases/latest" % git_repo   
    # Getting latest version information from official sources
    print("API used is: %s" % url_api)
    json_load = json.loads(wgets(url_api, proxies=proxies))

    for download in json_load["assets"]:
        if download["browser_download_url"].endswith(download_dict[control.target_os + '-' + control.architecture]):
            if control.architecture == "x64" and '-ia32' in download["browser_download_url"]:
                continue
            url_dl = download["browser_download_url"]
            version = json_load["name"].replace("v", "")
            filename = download["name"]
            break

    if not isfile(filename):
        package_updated = True
        wget(url_dl,filename,proxies=proxies)

    #nettoyer les fichiers temporaires
    for f in glob.glob('*.zip'):
        if f != filename:
            remove_file(f)
       

    control.set_software_version(version)
    control.save_control_to_wapt()